# all files / ol/format/filter/ equalto.js

83.33% Statements 5/6
100% Branches 0/0
0% Functions 0/1
83.33% Lines 5/6

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    221×

    1×
    1×

    1×

    1×
     goog.provide('ol.format.filter.EqualTo');

    goog.require('ol');
    goog.require('ol.format.filter.ComparisonBinary');

    /**
     * @classdesc
     * Represents a `<PropertyIsEqualTo>` comparison operator.
     *
     * @constructor
     * @param {!string} propertyName Name of the context property to compare.
     * @param {!(string|number)} expression The value to compare.
     * @param {boolean=} opt_matchCase Case-sensitive?
     * @extends {ol.format.filter.ComparisonBinary}
     * @api
     */
    ol.format.filter.EqualTo = function(propertyName, expression, opt_matchCase) {
      ol.format.filter.ComparisonBinary.call(this, 'PropertyIsEqualTo', propertyName, expression, opt_matchCase);
    };
    ol.inherits(ol.format.filter.EqualTo, ol.format.filter.ComparisonBinary);